%define rel 1
%define subrel 1

Name: analitza
Summary: Library that will let you add mathematical features to your program
Version: 4.8.5
Release: %mkrel %{rel}
Group: Sciences/Mathematics
License: LGPLv2 and GFDL
URL: https://projects.kde.org/projects/kde/kdeedu/analitza/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: libreadline-devel

%description
The analitza library will let you add mathematical features to your program.

#------------------------------------------------------------------------------
%package -n calgebra
Summary: Console mathematical calculator
Group: Sciences/Mathematics
Conflicts: kalgebra < 4.7.90

%description -n calgebra
Console interface for a mathematical calculator based content markup MathML
language.

%files -n calgebra
%_kde_bindir/calgebra

#------------------------------------------------------------------------------

%define analitza_major 4
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %libanalitza
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libanalitza
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitza
%_kde_libdir/libanalitza.so.%{analitzagui_major}*

#------------------------------------------------------------------------------

%define analitzagui_major 4
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %libanalitzagui
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %libanalitzagui
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzagui
%_kde_libdir/libanalitzagui.so.%{analitzagui_major}*

#------------------------------------------------------------------------------
%define libanalitza_devel %mklibname %{name} -d

%package -n %libanalitza_devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Provides: lib%{name}-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libanalitza = %version-%release
Requires: %libanalitzagui = %version-%release
Obsoletes: kalgebra-devel < 4.7.90

%description -n %libanalitza_devel
Files needed to build applications based on %{name}.

%files -n %libanalitza_devel
%_kde_includedir/analitza
%_kde_includedir/analitzagui
%_kde_libdir/libanalitza.so
%_kde_libdir/libanalitzagui.so
%_kde_libdir/cmake/analitza

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make
%install
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 4.8.5-1.1.mga2
+ Revision: 279104
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4

  + fwang <fwang>
    - new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221456
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198228
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190953
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186042
- Update tarball to KDE SC 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181512
- Add conflicts against kalgebra
- imported package analitza

